import request from '@/utils/request'

// 查询余额变动记录列表
export function listRecordBalance(query) {
  return request({
    url: '/ss/recordBalance/list',
    method: 'get',
    params: query
  })
}

// 查询余额变动记录详细
export function getRecordBalance(id) {
  return request({
    url: '/ss/recordBalance/' + id,
    method: 'get'
  })
}

// 新增余额变动记录
export function addRecordBalance(data) {
  return request({
    url: '/ss/recordBalance',
    method: 'post',
    data: data
  })
}

// 修改余额变动记录
export function updateRecordBalance(data) {
  return request({
    url: '/ss/recordBalance',
    method: 'put',
    data: data
  })
}

// 删除余额变动记录
export function delRecordBalance(id) {
  return request({
    url: '/ss/recordBalance/' + id,
    method: 'delete'
  })
}
